Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 452541 - MT_INTERFACE is a pain
Summary: MT_INTERFACE is a pain
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: mediatomb
Version: 9
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Marc Wiriadisastra
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-06-23 17:06 UTC by Bastien Nocera
Modified: 2008-12-20 12:39 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-12-20 12:39:34 UTC


Attachments (Terms of Use)

Description Bastien Nocera 2008-06-23 17:06:03 UTC
mediatomb-0.11.0-1.fc9.x86_64

When changing the configuration of my system (swapping between different Wi-Fi
drivers), then I need to edit the mediatomb.conf file to change MT_INTERFACE.

First, why are the multicast settings setup in the mediatomb startup script?
Couldn't NetworkManager and/or the network-scripts do that?

Secondly, could this be applied to all the internal interfaces by default?
Lennart probably has some better idea on how to avoid the Upnp services to not
show up on the internet.

Finally, at the very least, the mediatomb startup script should fail to start up
if the device mentioned in the configuration file doesn't exist.

Comment 1 Sergey Bostandzhyan 2008-06-26 11:52:16 UTC
The main problem here lies within libupnp, the webserver works on all interfaces
but SSDP stuff only on the specified one, so in the end you have to specify one
of the interfaces, since binding to all or to a number of interfaces is simply
not supported by the library.

We are going to replace libupnp with our own lib, then things like that should
become possible.

As for the multicast settings - well, I do not care which script does it, as
long as it gets done, if these settings are not applied the server will not
respond to SSDP M-SEARCH requests. You only need the settings if you use UPnP,
so I am not sure where those settings should be done on distribution level.

For the last part, i.e. failing to start on a wrong interface specification: we
could indeed add this check and catch these error cases before passing the
parameter to libupnp.



Note You need to log in before you can comment on or make changes to this bug.